summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Huettel (dilfridge) <dilfridge@gentoo.org>2015-10-11 01:23:21 +0200
committerAndreas K. Huettel (dilfridge) <dilfridge@gentoo.org>2015-10-11 01:23:21 +0200
commit2766226a1433cc4c80bdcd51d31d55f470dbd90d (patch)
treea80192323acdc1d820c66720652d5a2f3eba997e /app-text
parentdev-python/botocore: remove version 1.2.1 (diff)
parentapp-office/libreoffice: Add 5.0.3 pre-release (diff)
downloadgentoo-2766226a1433cc4c80bdcd51d31d55f470dbd90d.tar.gz
gentoo-2766226a1433cc4c80bdcd51d31d55f470dbd90d.tar.bz2
gentoo-2766226a1433cc4c80bdcd51d31d55f470dbd90d.zip
Merge remote-tracking branch 'github/pr/178'
Diffstat (limited to 'app-text')
-rw-r--r--app-text/libwps/Manifest1
-rw-r--r--app-text/libwps/libwps-0.4.2.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/app-text/libwps/Manifest b/app-text/libwps/Manifest
index f5b149468b1..2321bf51ba6 100644
--- a/app-text/libwps/Manifest
+++ b/app-text/libwps/Manifest
@@ -1,3 +1,4 @@
DIST libwps-0.2.9.tar.xz 387340 SHA256 cf9a17a6c0452ab32cce342c1410f1620c66f9cb6f9431b82f95da7fe9730177 SHA512 60ddc8db5a90589248a0a8f90950907ca3be3362983f6c4847670e6eaf4d7ad22a2b6795b0a1b0a1920075f25f1ffcfd581757c26bfb74deacd000e94459da34 WHIRLPOOL bc847cb65c72daa01db5d6f17a20cbaff741fab1fc7a63d789993334b7853009f59c1ca370d7d3798a26b294c96c3435664314b07ff5a2324fa7ca7980378fe8
DIST libwps-0.3.1.tar.xz 410376 SHA256 bb2c2a7db5121411ba705ccf3452cdce51d9798384fd9621e9702ba802878e93 SHA512 f628e6532b32331c7df0d97a9b71bf1f97347634657148b47d46ba7c2fd888d7fa9ffe52f31cfc24f86688c9c713bfaff360c7fe9f4a92d646cf8f21e7f5c2b1 WHIRLPOOL ebe35fabf22aedccfe3ca35e46971a26332040852357ea0f2241534261c77d597da38766192661ecd6fa24881e0bf9de4a80bdfea300129420d4635924434110
DIST libwps-0.4.1.tar.xz 476732 SHA256 bf915125d647aec18f63d593eb9385bce1e3cdb48649c1c90782d0e0ff5e976a SHA512 675b1d54436d568a990a305267daf33ebfb064e54b7b220f1ada850db85d1780590e161d27a68aa3b33807fab20a73e862f3dfffb62a8a5ff20192ed6f85063f WHIRLPOOL 56d849615588d2a6e33f1f20367b8ce5685bcc1cac6651fd1f48cda238c851fdaa81658d73557ae5f2e4d4f0ca690517543cbeb0a940bbdca2f3347b938d7d7b
+DIST libwps-0.4.2.tar.xz 543052 SHA256 e4fa907dd2b49b309fb4a860332bc44158570e02cb4ec07d4c8577b374b9f935 SHA512 6e91a4dbb26335b6d4db47daec70d4f50313a8101de1dccce592cec49e00aaf50256580b3ea0c37f24b7ad1cc065a82e0a71deb0cfcd23dabf0a2627d915f48f WHIRLPOOL 137f54be1a0d342205275891008a8de32ae3ee6ba6c2cdafccd61112e4e99e82039a471ef2aa98f0a935a470f48cc59690e8e783e676cde50a78ff1e56558e6c
diff --git a/app-text/libwps/libwps-0.4.2.ebuild b/app-text/libwps/libwps-0.4.2.ebuild
new file mode 100644
index 00000000000..5ac9cb1b6c1
--- /dev/null
+++ b/app-text/libwps/libwps-0.4.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit base eutils
+
+DESCRIPTION="Microsoft Works file word processor format import filter library"
+HOMEPAGE="http://libwps.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~x86"
+IUSE="doc debug static-libs"
+
+RDEPEND="
+ app-text/libwpd:0.10
+ dev-libs/boost:=
+ dev-libs/librevenge
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+
+src_configure() {
+ econf \
+ --disable-werror \
+ $(use_enable static-libs static) \
+ --docdir=/usr/share/doc/${PF} \
+ $(use_with doc docs) \
+ $(use_enable debug)
+}
+
+src_install() {
+ default
+ prune_libtool_files --all
+}